Open SCAP Library: cpe_generator Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
cpe_generator Struct Reference
CPE » CPE Dictionary

Structure with information about document. More...

`#include <cpe_dict.h>`

## Public Member Functions
void | cpe_generator_free (struct cpe_generator *generator)
struct cpe_generator * | cpe_generator_new (void)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | cpe_generator_get_product_name (const struct cpe_generator *item)
| cpe_generator functions to get product name More...
const char * | cpe_generator_get_product_version (const struct cpe_generator *item)
| cpe_generator functions to get product version More...
const char * | cpe_generator_get_schema_version (const struct cpe_generator *item)
| cpe_generator functions to get document schema version More...
const char * | cpe_generator_get_timestamp (const struct cpe_generator *item)
| cpe_generator functions to get timestamp from generator More...
struct cpe_generator * | cpe_dict_model_get_generator (const struct cpe_dict_model *item)
| cpe_dict_model functions to get generator from CPE dictionary model More...
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | cpe_generator_set_product_name (struct cpe_generator *generator, const char *new_product_name)
bool | cpe_generator_set_product_version (struct cpe_generator *generator, const char *new_product_version)
bool | cpe_generator_set_schema_version (struct cpe_generator *generator, const char *new_schema_version)
bool | cpe_generator_set_timestamp (struct cpe_generator *generator, const char *new_timestamp)

## Data Fields
char * | product_name
char * | product_version
char * | schema_version
char * | timestamp

## Detailed Description

Structure with information about document.

The documentation for this struct was generated from the following files:

- cpedict_priv.c
- cpe_dict.h